package com.dkl.large.service.impl;

import java.util.List;
import com.dkl.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dkl.large.mapper.DklVideoDataMapper;
import com.dkl.large.domain.DklVideoData;
import com.dkl.large.service.IDklVideoDataService;

/**
 * 大客流视频数据获取Service业务层处理
 *
 * @author Dkl
 * @date 2025-06-06
 */
@Service
public class DklVideoDataServiceImpl implements IDklVideoDataService
{
    @Autowired
    private DklVideoDataMapper dklVideoDataMapper;

    /**
     * 查询大客流视频数据获取
     *
     * @param id 大客流视频数据获取主键
     * @return 大客流视频数据获取
     */
    @Override
    public DklVideoData selectDklVideoDataById(int id)
    {
        return dklVideoDataMapper.selectDklVideoDataById(id);
    }

    /**
     * 查询大客流视频数据获取列表
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 大客流视频数据获取
     */
    @Override
    public List<DklVideoData> selectDklVideoDataList(DklVideoData dklVideoData)
    {
        return dklVideoDataMapper.selectDklVideoDataList(dklVideoData);
    }

    /**
     * 新增大客流视频数据获取
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 结果
     */
    @Override
    public int insertDklVideoData(DklVideoData dklVideoData)
    {
        dklVideoData.setCreateTime(DateUtils.getNowDate());
        return dklVideoDataMapper.insertDklVideoData(dklVideoData);
    }

    /**
     * 修改大客流视频数据获取
     *
     * @param dklVideoData 大客流视频数据获取
     * @return 结果
     */
    @Override
    public int updateDklVideoData(DklVideoData dklVideoData)
    {
        dklVideoData.setUpdateTime(DateUtils.getNowDate());
        return dklVideoDataMapper.updateDklVideoData(dklVideoData);
    }

    /**
     * 批量删除大客流视频数据获取
     *
     * @param ids 需要删除的大客流视频数据获取主键
     * @return 结果
     */
    @Override
    public int deleteDklVideoDataByIds(int[] ids)
    {
        return dklVideoDataMapper.deleteDklVideoDataByIds(ids);
    }

    /**
     * 删除大客流视频数据获取信息
     *
     * @param id 大客流视频数据获取主键
     * @return 结果
     */
    @Override
    public int deleteDklVideoDataById(int id)
    {
        return dklVideoDataMapper.deleteDklVideoDataById(id);
    }
}
